Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81611 - Sendmail rebuild fails because it can't find krb5.h
Summary: Sendmail rebuild fails because it can't find krb5.h
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: sendmail
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-11 04:27 UTC by David Hollis
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-12 10:56:56 UTC


Attachments (Terms of Use)
Tweaked patch that adds kerberos includes to include path (deleted)
2003-01-11 04:28 UTC, David Hollis
no flags Details

Description David Hollis 2003-01-11 04:27:05 UTC
Description of problem:
Attempting to rebuild sendmail-8.12.6-5 SRPM after having updated to
openssl-0.9.7-1 and krb5-1.2.7-3 fails compiling because it can not find krb5.h.
 I don't know how it was handled in the past, but the /usr/kerberos/include
directory is not included in the path causing the failure.  And for that matter,
krb5-devel is not listed as a BuildReq.  The resolution is to add the
/usr/kerberos/include to the include path (I added it to the
sendmail-8.12.2-redhat.patch) which allows compilation to complete successfully.
 A better longterm solution may be to use the pkg-config for openssl to get the
CFLAGS.

Version-Release number of selected component (if applicable): 8.12.6-6

Comment 1 David Hollis 2003-01-11 04:28:02 UTC
Created attachment 89297 [details]
Tweaked patch that adds kerberos includes to include path

Comment 2 Florian La Roche 2003-01-12 10:56:56 UTC
Nalin has fixed this for the newest rpm. 8.12.7-1 should be in rawhide soon.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.